Subject: Re: New version of setup - prerelease available
From: Mark Himsley <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Fri, 03 May 2002 13:07:43 +0100

On Fri, 3 May 2002 21:18:58 +1000 you wrote:

>Sounds like there is a memory leak or somesuch. With the MD5 sums in
>ini's I'll be able to do some proper testing myself now.
>
>How many packages where you installing?
>Which ones?

This is the section from setup.log from the successful install for version
2.194.2.25, the beta version would have been trying to install the same
files.

--------------------------------------------------------------------
2002/05/03 12:12:41 Starting cygwin install, version 2.194.2.25
2002/05/03 12:12:41 Current Directory:
Y:\software\i386\windows\Cygwin.com\Cygwin-download
2002/05/03 12:12:41 Command line parameters
2002/05/03 12:12:41 0 -
'Y:\software\i386\windows\Cygwin.com\Cygwin-download\setup.exe'
2002/05/03 12:12:41 1 parameters passed
2002/05/03 12:13:05 source: from cwd
2002/05/03 12:13:06 root: C:/cygwin binary system
2002/05/03 12:13:06 Selected local directory:
Y:\software\i386\windows\Cygwin.com\Cygwin-download
2002/05/03 12:14:17 Uninstalling bzip2
2002/05/03 12:14:17 Uninstalling clear
2002/05/03 12:14:17 Uninstalling curl
2002/05/03 12:14:17 Uninstalling grep
2002/05/03 12:14:18 Uninstalling less
2002/05/03 12:14:18 Uninstalling mingw-runtime
2002/05/03 12:14:18 Uninstalling ncftp
2002/05/03 12:14:18 Uninstalling rcs
2002/05/03 12:14:18 Uninstalling rsync
2002/05/03 12:14:18 Uninstalling termcap
2002/05/03 12:14:18 Uninstalling tetex-beta
2002/05/03 12:14:20 Uninstalling texinfo
2002/05/03 12:14:20 Uninstalling vim
2002/05/03 12:14:24 Uninstalling w32api
2002/05/03 12:14:24 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/bzip2/bzip2-1.0.2-1.tar.bz2
2002/05/03 12:14:24 compress_bz::error called
2002/05/03 12:14:25 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/clear/clear-1.0-1.tar.bz2
2002/05/03 12:14:25 compress_bz::error called
2002/05/03 12:14:25 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/curl/curl-7.9.6-1.tar.bz2
2002/05/03 12:14:25 compress_bz::error called
2002/05/03 12:14:28 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/grep/grep-2.5-1.tar.bz2
2002/05/03 12:14:28 compress_bz::error called
2002/05/03 12:14:29 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/less/less-374-1.tar.bz2
2002/05/03 12:14:29 compress_bz::error called
2002/05/03 12:14:29 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/bzip2/libbz2_0/libbz2_0-1.0.2-1.tar.bz2
2002/05/03 12:14:29 compress_bz::error called
2002/05/03 12:14:29 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/mingw-runtime/mingw-runtime-1.3-2.tar.bz2
2002/05/03 12:14:29 compress_bz::error called
2002/05/03 12:14:31 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/ncftp/ncftp-3.1.3-1.tar.bz2
2002/05/03 12:14:31 compress_bz::error called
2002/05/03 12:14:33 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/rcs/rcs-5.7-3.tar.bz2
2002/05/03 12:14:33 compress_bz::error called
2002/05/03 12:14:34 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/rsync/rsync-2.5.5-1.tar.bz2
2002/05/03 12:14:34 compress_bz::error called
2002/05/03 12:14:34 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/termcap/termcap-20020403-1.tar.bz2
2002/05/03 12:14:34 compress_bz::error called
2002/05/03 12:14:34 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/tetex/tetex-beta-20001218-4.tar.bz2
2002/05/03 12:14:34 compress_bz::error called
2002/05/03 12:14:47 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/texinfo/texinfo-4.1-1.tar.bz2
2002/05/03 12:14:47 compress_bz::error called
2002/05/03 12:14:50 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/vim/vim-6.1-2.tar.bz2
2002/05/03 12:14:50 compress_bz::error called
2002/05/03 12:15:07 Installing
file://http%3a%2f%2fmirrors.rcn.net%2fpub%2fsourceware%2fcygwin/release/w32api/w32api-1.3-2.tar.bz2
2002/05/03 12:15:07 compress_bz::error called
2002/05/03 12:15:47 running: C:\cygwin\bin\sh.exe -c
/etc/postinstall/bzip2.sh
2002/05/03 12:15:48 running: C:\cygwin\bin\sh.exe -c
/etc/postinstall/ncftp.sh
2002/05/03 12:15:48 running: C:\cygwin\bin\sh.exe -c
/etc/postinstall/post-tetex.sh
2002/05/03 12:15:48 mbox note: Installation Complete
2002/05/03 12:15:50 Ending cygwin install
--------------------------------------------------------------------

>Rob
>
>> -----Original Message-----
>> From: Mark Himsley [mailto:[email-masked]] 
>> Sent: Friday, May 03, 2002 9:17 PM
>> To: Cygwin
>> Subject: Re: New version of setup - prerelease available
>> 
>> 
>> On Wed, 1 May 2002 21:33:22 +1000 you wrote:
>> 
>> >I've uploaded a new version of setup.exe, and source, to
>> >http://www.cygwin.com/setup-snapshots/setup-md5-20020501.exe
>> 
>> I've just tried to use this...
>> 
>> As usual, I did a 'Download from Internet' followed by an 
>> 'Install from Local Drive'.
>> 
>> The download worked like a dream.
>> The install didn't.
>> 
>> For the install it got as far as the page which says:
>> -----------------------------------------------------------------
>> Process
>> This page displays the progress of the download or installation.
>> 
>> Installing...
>> (PKG)
>> (FILE)
>> Package [ bar graph... ]
>> -----------------------------------------------------------------
>> 
>> The package chooser window is not opened. Nothing is 
>> displayed after the
>> (PKG) or (FILE) and the bar graph does not move. The process 
>> eats memory until it gets up to ~168MB and then ends.  
>> Nothing is installed. setup.log and setup.log.full are not 
>> modified (the last things logged were the downloads of the 
>> files from the previous run).
>> 
>> Version 2.194.2.25 happily installed the packages which your 
>> beta had downloaded.
>> 
>> -- 
>> Mark Himsley
>> In Acton
>> 
>> --
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> Bug reporting:         http://cygwin.com/bugs.html
>> Documentation:         http://cygwin.com/docs.html
>> FAQ:                   http://cygwin.com/faq/
>> 
>> 

-- 
Mark Himsley
In Acton

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/